# IRremoteESP8266: src/ir_Gree.h File Reference

ir_Gree.h File Reference

Support for Gree A/C protocols. More...

Go to the source code of this file.

## Classes

union | GreeProtocol
| Native representation of a Gree A/C message. More...
class | IRGreeAC
| Class for handling detailed Gree A/C messages. More...

## Variables

const uint8_t | kGreeAuto = 0
const uint8_t | kGreeCool = 1
const uint8_t | kGreeDry = 2
const uint8_t | kGreeFan = 3
const uint8_t | kGreeHeat = 4
const uint8_t | kGreeFanAuto = 0
const uint8_t | kGreeFanMin = 1
const uint8_t | kGreeFanMed = 2
const uint8_t | kGreeFanMax = 3
const uint8_t | kGreeMinTempC = 16
const uint8_t | kGreeMaxTempC = 30
const uint8_t | kGreeMinTempF = 61
const uint8_t | kGreeMaxTempF = 86
const uint16_t | kGreeTimerMax = 24 * 60
const uint8_t | kGreeSwingLastPos = 0b0000
const uint8_t | kGreeSwingAuto = 0b0001
const uint8_t | kGreeSwingUp = 0b0010
const uint8_t | kGreeSwingMiddleUp = 0b0011
const uint8_t | kGreeSwingMiddle = 0b0100
const uint8_t | kGreeSwingMiddleDown = 0b0101
const uint8_t | kGreeSwingDown = 0b0110
const uint8_t | kGreeSwingDownAuto = 0b0111
const uint8_t | kGreeSwingMiddleAuto = 0b1001
const uint8_t | kGreeSwingUpAuto = 0b1011
const uint8_t | kGreeDisplayTempOff = 0b00
const uint8_t | kGreeDisplayTempSet = 0b01
const uint8_t | kGreeDisplayTempInside = 0b10
const uint8_t | kGreeDisplayTempOutside = 0b11

## Detailed Description

Support for Gree A/C protocols.

See also
  https://github.com/ToniA/arduino-heatpumpir/blob/master/GreeHeatpumpIR.h

## Variable Documentation

## kGreeAuto

const uint8_t kGreeAuto = 0

## kGreeCool

const uint8_t kGreeCool = 1

## kGreeDisplayTempInside

const uint8_t kGreeDisplayTempInside = 0b10

## kGreeDisplayTempOff

const uint8_t kGreeDisplayTempOff = 0b00

## kGreeDisplayTempOutside

const uint8_t kGreeDisplayTempOutside = 0b11

## kGreeDisplayTempSet

const uint8_t kGreeDisplayTempSet = 0b01

## kGreeDry

const uint8_t kGreeDry = 2

## kGreeFan

const uint8_t kGreeFan = 3

## kGreeFanAuto

const uint8_t kGreeFanAuto = 0

## kGreeFanMax

const uint8_t kGreeFanMax = 3

## kGreeFanMed

const uint8_t kGreeFanMed = 2

## kGreeFanMin

const uint8_t kGreeFanMin = 1

## kGreeHeat

const uint8_t kGreeHeat = 4

## kGreeMaxTempC

const uint8_t kGreeMaxTempC = 30

## kGreeMaxTempF

const uint8_t kGreeMaxTempF = 86

## kGreeMinTempC

const uint8_t kGreeMinTempC = 16

## kGreeMinTempF

const uint8_t kGreeMinTempF = 61

## kGreeSwingAuto

const uint8_t kGreeSwingAuto = 0b0001

## kGreeSwingDown

const uint8_t kGreeSwingDown = 0b0110

## kGreeSwingDownAuto

const uint8_t kGreeSwingDownAuto = 0b0111

## kGreeSwingLastPos

const uint8_t kGreeSwingLastPos = 0b0000

## kGreeSwingMiddle

const uint8_t kGreeSwingMiddle = 0b0100

## kGreeSwingMiddleAuto

const uint8_t kGreeSwingMiddleAuto = 0b1001

## kGreeSwingMiddleDown

const uint8_t kGreeSwingMiddleDown = 0b0101

## kGreeSwingMiddleUp

const uint8_t kGreeSwingMiddleUp = 0b0011

## kGreeSwingUp

const uint8_t kGreeSwingUp = 0b0010

## kGreeSwingUpAuto

const uint8_t kGreeSwingUpAuto = 0b1011

## kGreeTimerMax

const uint16_t kGreeTimerMax = 24 * 60